File obs-api-deps.spec of Package obs-server

#
# spec file for package obs-api-deps
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           obs-api-deps
Summary:        The Open Build Service -- Gem dependencies
License:        MIT
Group:          Productivity/Networking/Web/Utilities
Version:        2.10.10
Release:        1
Url:            http://en.opensuse.org/Build_Service
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        https://github.com/openSUSE/open-build-service/archive/%{version}/open-build-service-%{version}.tar.gz
Source1:        find-requires.sh
Patch1:         obs-server-2.10-0001-Revert-dist-Prepare-obs-server.spec-to-use-bundle_ge.patch
Patch2:         obs-server-2.10-0002-api-Use-bundler_ext-instead-of-bundler-if-Gemfile.in.patch
Patch3:         obs-server-2.10-0003-api-Require-json-gem-explicitly-for-tests.patch
Patch4:         obs-server-2.10-0004-api-Log-server-name-to-test-log-for-backend-log-mess.patch
Patch5:         obs-server-2.10-0005-api-Use-OBS_API_PREFIX-instead-of-explicit-pathname-.patch
Patch6:         obs-server-2.10-0006-backend-Make-OBS_BACKEND_DATA_DIR-variable-configura.patch
Patch7:         obs-server-2.10-0007-dist-Set-proper-Apache-user-group-when-installing-sc.patch
Patch8:         obs-server-2.10-0008-backend-Set-proper-pathnames-when-installing-backend.patch
Patch9:         obs-server-2.10-0009-dist-Set-proper-pathnames-when-installing-dist-files.patch
Patch10:        obs-server-2.10-0010-dist-Use-configuration-variables-instead-of-hardcode.patch
Patch11:        obs-server-2.10-0011-api-Use-absolute-pathnames-for-apidocs-in-config-env.patch
Patch12:        obs-server-2.10-0012-dist-Make-fillup-file-location-and-name-configurable.patch
Patch13:        obs-server-2.10-0013-backend-Fix-cleanup-in-BSSched-EventSource-Directory.patch
Patch14:        obs-server-2.10-0014-dist-Make-tests-respect-SBINDIR-configuration-parame.patch
Patch15:        obs-server-2.10-0015-dist-api-backend-Make-backend-ports-configurable.patch
Patch16:        obs-server-2.10-0016-dist-backend-Make-backend-log-directory-configurable.patch
Patch17:        obs-server-2.10-0017-api-Make-api-log-directory-configurable.patch
Patch18:        obs-server-2.10-0018-dist-Allow-worker-to-use-tmpfs-for-other-virtualisat.patch
Patch19:        obs-server-2.10-0019-ci-Fix-compatibility-with-Ruby-2.3-in-webui-helper-t.patch
Patch20:        obs-server-2.10-0020-ci-Don-t-distinguish-between-text-and-mediumtext.patch
Patch21:        obs-server-2.10-0021-dist-Use-python2-instead-of-python-as-interpreter.patch
Patch22:        obs-server-2.10-0022-frontend-Require-mini_mime-gem-explicitly.patch
Patch23:        obs-server-2.10-0023-frontend-Require-minimal-version-of-sanitize-webmock.patch
Patch24:        obs-server-2.10-0024-backend-Make-chekconstraints-in-repserver-not-fail-o.patch
Patch25:        obs-server-2.10-0025-ci-Make-test-backend-crash-more-prominent.patch
Patch26:        obs-server-2.10-0026-ci-Actually-wait-for-scheduler-when-test-backend-is-.patch
Patch27:        obs-server-2.10-0027-backend-Support-new-VM-types-without-modifying-worke.patch
Patch28:        obs-server-2.10-0028-frontend-Require-some-dependencies-explicitly.patch
Patch29:        obs-server-2.10-0029-ci-Limit-time-waiting-for-scheduler-thread-to-finish.patch
Patch30:        obs-server-2.10-0030-Revert-frontend-Make-it-possible-to-run-OBS-in-a-sub.patch
Patch31:        obs-server-2.10-0031-api-Get-rid-of-obsolete-URI-methods-for-Ruby-3.0.patch
Patch32:        obs-server-2.10-0032-Replace-positional-arguments-by-keyword-arguments-in.patch
Patch33:        obs-server-2.10-0033-ci-Remove-capybara_minitest_spec-Ruby-gem.patch
Patch34:        obs-server-2.10-0034-api-Add-explicit-sprockets-dependency.patch
Patch35:        obs-server-2.10-0035-ci-Change-shortened-index-name-to-expected-one.patch
Patch36:        obs-server-2.10-0036-api-Pass-keyword-args-properly-for-Ruby-3.0.patch
Patch101:       obs-server-2.10-0101-Add-strong_migrations-to-our-development-environment.patch
Patch102:       obs-server-2.10-0102-Skip-data-migration-spec-to-avoid-strong-migration-i.patch
Patch103:       obs-server-2.10-0103-Mark-the-migration-as-safe.patch
Patch104:       obs-server-2.10-0104-Move-the-strong-migrations-gem-to-a-the-generic-grou.patch
Patch105:       obs-server-2.10-0105-Bump-rails-gem-version-to-6.0.patch
Patch106:       obs-server-2.10-0106-Enable-rails-6-defaults-and-keep-classic-code-loadin.patch
Patch107:       obs-server-2.10-0107-Fix-validation-and-association-deprecations-for-rail.patch
Patch108:       obs-server-2.10-0108-Switch-to-media_type-instead-of-content_type-in-rspe.patch
Patch109:       obs-server-2.10-0109-Adjust-rspec-tests-for-the-usage-of-recyclable-cache.patch
Patch110:       obs-server-2.10-0110-Expect-dates-as-as_json-expects-them.patch
Patch111:       obs-server-2.10-0111-Use-to_time-behaviour-introduced-in-ruby-2.4.patch
Patch112:       obs-server-2.10-0112-Enable-per-form-CSRF-tokens-and-origin-checking-CSRF.patch
Patch113:       obs-server-2.10-0113-Ignore-rubocop-offenses-in-existing-codebase-after-r.patch
Patch114:       obs-server-2.10-0114-Dont-use-puma-server-default-version-from-rails-5-an.patch
Patch115:       obs-server-2.10-0115-Adapt-the-minitests-to-the-Rails-6-upgrade.patch
Patch116:       obs-server-2.10-0116-Fix-precision-of-field-created_at-in-internal-table.patch
Patch117:       obs-server-2.10-0117-Update-deep_cloneable-to-version-3.0.0.patch
Patch118:       obs-server-2.10-0118-Replace-codemirror-rails-with-copied-assets.patch
Patch119:       obs-server-2.10-0119-Pass-the-view-paths-as-array-to-ActionView-Base.new.patch
Patch120:       obs-server-2.10-0120-Increase-compatability-with-rails-6.patch
Patch121:       obs-server-2.10-0121-ci-Make-db-structire-dump-task-compatible-with-Rails.patch
Patch122:       obs-server-2.10-0122-Address-deprecation-warning-on-render_xml.patch
Patch123:       obs-server-2.10-0123-Unescape-carriage-return-char-in-nokogiri-xml-output.patch
Patch124:       obs-server-2.10-0124-Pass-source-to-Nokogiri-template-handler.patch
Patch125:       obs-server-2.10-0125-Replace-update_attributes-by-update.patch
Patch126:       obs-server-2.10-0126-Replace-update_attributes-by-update-in-specs.patch
Patch127:       obs-server-2.10-0127-Replace-update_attributes-by-update-in-data-migratio.patch
Patch128:       obs-server-2.10-0128-Fix-garbage-component-at-end-of-elements.patch
Patch129:       obs-server-2.10-0129-Adopt-test-suites-to-rexml-changes.patch
Patch130:       obs-server-2.10-0130-Remove-unnecessary-includes-in-requests-query.patch
Patch131:       obs-server-2.10-0131-Do-not-rely-on-named-scope-chain-for-BsRequest-FindF.patch
BuildRequires:  ruby(release)
BuildRequires:  ruby >= 2.2.0
BuildRequires:  rubygem(bundler)
%if 0%{?suse_version} < 1210
BuildRequires:  xz
%endif

%global debug_package   %{nil}
%define patches_to_apply %{patches}

%description
This package serves one purpose only: to list the dependencies in Gemfile.lock

%package -n obs-api-testsuite-deps
Summary:        The Open Build Service -- The Testsuite dependencies
Group:          Productivity/Networking/Web/Utilities
BuildArch:      noarch
# dependencies not needed in production
Requires:       %(bash %{S:1} %{S:0} '' %{patches_to_apply})

Requires:       perl(BSSolv) >= 0.17
# Required by source server
Requires:       createrepo_c
Requires:       diffutils
Requires:       git-core
Requires:       patch

# needed for api test suite
%if 0%{?suse_version} > 1210
Requires:       libxml2-tools
%else
Requires:       libxml2
%endif

Recommends:     yum yum-metadata-parser repoview dpkg
Recommends:     deb >= 1.5
Recommends:     lvm2
Recommends:     openslp-server
Recommends:     obs-signd
Recommends:     inst-source-utils
Requires:       perl-Compress-Zlib
Requires:       perl-File-Sync >= 0.10
Requires:       perl-JSON-XS
Requires:       perl-Net-SSLeay
Requires:       perl-Socket-MsgHdr
Requires:       perl-XML-Parser
Requires:       perl-XML-Simple
Requires:       perl(GD)
Requires:       sphinx >= 2.1.8

%description -n obs-api-testsuite-deps
This is the API server instance, and the web client for the 
OBS.

%prep
%setup -c -T -n %{name}-%{version}
echo > README <<EOF
This is just a meta package with requires
EOF

%build

%install

# main package is .src.rpm only

%files -n obs-api-testsuite-deps
%defattr(-,root,root)
%doc README